<?php
/**
 * @file
 * Specific iubenda_integration variables.
 */

/**
 * Implements hook_variable_info().
 */
function iubenda_integration_variable_info($options) {
  return array(
    'iubenda_integration_policy_code' => array(
      'title' => t('Iubenda Privacy Policy code', array(), $options),
      'type' => 'number',
      'localize' => TRUE,
      'group' => 'iubenda_integration',
      'description' => t('The privacy policy code generated by Iubenda for your website.'),
    ),
    'iubenda_integration_pretext' => array(
      'title' => t('Pre-Text', array(), $options),
      'type' => 'text',
      'localize' => TRUE,
      'group' => 'iubenda_integration',
      'description' => t('The Privacy Policy text to be shown before the Iubenda link.'),
    ),
    'iubenda_integration_text' => array(
      'title' => t('Link Text', array(), $options),
      'type' => 'string',
      'localize' => TRUE,
      'group' => 'iubenda_integration',
      'description' => t('The text that will be displayed as link.'),
    ),
    'iubenda_integration_posttext' => array(
      'title' => t('Post-Text', array(), $options),
      'type' => 'text',
      'localize' => TRUE,
      'group' => 'iubenda_integration',
      'description' => t('The Privacy Policy text to be shown after the Iubenda link.'),
    ),
    'iubenda_integration_block_pretext' => array(
      'title' => t('Pre-Text', array(), $options),
      'type' => 'text',
      'localize' => TRUE,
      'group' => 'iubenda_integration',
      'description' => t('Block: The Privacy Policy text to be shown before the Iubenda link.'),
    ),
    'iubenda_integration_block_text' => array(
      'title' => t('Link Text', array(), $options),
      'type' => 'string',
      'localize' => TRUE,
      'group' => 'iubenda_integration',
      'description' => t('Block: The text that will be displayed as link.'),
    ),
    'iubenda_integration_block_posttext' => array(
      'title' => t('Post-Text', array(), $options),
      'type' => 'text',
      'localize' => TRUE,
      'group' => 'iubenda_integration',
      'description' => t('Block: The Privacy Policy text to be shown after the Iubenda link.'),
    ),
    'iubenda_integration_cookie_policy_enabled' => array(
      'type' => 'boolean',
      'title' => t('Enable EU Cookie Policy', array(), $options),
      'description' => t('Check this option to enable Iubenda EU Cookie Policy.', array(), $options),
      'default' => FALSE,
      'group' => 'iubenda_integration',
    ),
    'iubenda_integration_cookie_policy' => array(
      'title' => t('Iubenda Cookie Policy', array(), $options),
      'localize' => TRUE,
      'group' => 'iubenda_integration',
      'description' => t('Iubenda Cookie Policy settings.'),
    ),
  );
}

/**
 * Implements hook_variable_group_info().
 */
function iubenda_integration_variable_group_info() {
  return array(
    'iubenda_integration' => array(
      'title' => t('Iubenda Integration'),
      'description' => t('Iubenda variables for Privacy Policy'),
    ),
  );
}
